## pulsesink pulsesink — Plays audio to a PulseAudio server |

## Properties

gchar * | device | Read / Write
gchar * | server | Read / Write
gchar * | device-name | Read
gdouble | volume | Read / Write
gboolean | mute | Read / Write
gchar * | client | Read / Write
GstStructure * | stream-properties | Read / Write

## Types and Values

struct | GstPulseSink

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseSink
                    ╰── GstBaseAudioSink
                        ╰── GstPulseSink

## Implemented Interfaces

GstPulseSink implements GstStreamVolume, GstImplementsInterface and GstPropertyProbe.

## Description

## Synopsis

### Element Information

plugin | pulseaudio
author | Lennart Poettering
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, endianness=(int){ 1234, 4321 }, signed=(boolean)true, width=(int)16, depth=(int)16, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-raw-float, endianness=(int){ 1234, 4321 }, width=(int)32, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-raw-int, endianness=(int){ 1234, 4321 }, signed=(boolean)true, width=(int)32, depth=(int)32, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-raw-int, signed=(boolean)false, width=(int)8, depth=(int)8, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-alaw, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-mulaw, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-raw-int, endianness=(int){ 1234, 4321 }, signed=(boolean)true, width=(int)24, depth=(int)24, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-raw-int, endianness=(int){ 1234, 4321 }, signed=(boolean)true, width=(int)32, depth=(int)24, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-ac3, framed=(boolean)true
| audio/x-eac3, framed=(boolean)true
| audio/x-dts, framed=(boolean)true, block-size=(int){ 512, 1024, 2048 }
| audio/mpeg, mpegversion=(int)1, mpegaudioversion=(int)[ 1, 2 ], parsed=(boolean)true

## Functions

## Types and Values

### struct GstPulseSink

    struct GstPulseSink;

## Property Details

### The `“device”` property

      “device”                   gchar *

The PulseAudio sink device to connect to.

Flags: Read / Write

Default value: NULL

### The `“server”` property

      “server”                   gchar *

The PulseAudio server to connect to.

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: NULL

### The `“volume”` property

      “volume”                   gdouble

Linear volume of this stream, 1.0=100%.

Flags: Read / Write

Allowed values: [0,10]

Default value: 1

### The `“mute”` property

      “mute”                     gboolean

Mute state of this stream.

Flags: Read / Write

Default value: FALSE

### The `“client”` property

      “client”                   gchar *

The PulseAudio client name to use.

Flags: Read / Write

Default value: "lt-gst-plugins-good-plugins-scan"

### The `“stream-properties”` property

      “stream-properties”        GstStructure *

list of pulseaudio stream properties.

Flags: Read / Write